import { base } from "./blocks/base";
import { css } from "./blocks/css";
import { images } from "./blocks/images";
import { pipe } from "./utils";
export async function build(config, { supportedBrowsers , rootDirectory , customAppFile , isDevelopment , isServer , isEdgeRuntime , targetWeb , assetPrefix , sassOptions , productionBrowserSourceMaps , future , experimental , disableStaticImages  }) {
    const ctx = {
        supportedBrowsers,
        rootDirectory,
        customAppFile,
        isDevelopment,
        isProduction: !isDevelopment,
        isServer,
        isEdgeRuntime,
        isClient: !isServer,
        targetWeb,
        assetPrefix: assetPrefix ? assetPrefix.endsWith("/") ? assetPrefix.slice(0, -1) : assetPrefix : "",
        sassOptions,
        productionBrowserSourceMaps,
        future,
        experimental
    };
    let fns = [
        base(ctx),
        css(ctx)
    ];
    if (!disableStaticImages) {
        fns.push(images(ctx));
    }
    const fn = pipe(...fns);
    return fn(config);
}

//# sourceMappingURL=index.js.map